#ifndef SDI_ASM_PROTOS_H
#define SDI_ASM_PROTOS_H

/* Includeheader

	Name:		SDI_ASM_protos
	Versionstring:	$VER: SDI_ASM_protos.h 1.4 (07.01.97)
	Author:		SDI
	Distribution:	PD
	Description:	some useful functions which should be fast

 1.4   07.01.97 : added header, made SAS useable
*/

#include <exec/types.h>

#ifdef __MAXON__
  #define __asm
#endif

#ifdef __cplusplus
extern "C" {
#endif

void  __asm MakeHEX(	register __a1 STRPTR,	/* buffer		*/
			register __d0 UBYTE,	/* number of chars	*/
			register __d1 ULONG);	/* value		*/
/* MakeHEX sets character a1+d0 to '\0'  !!! */
UBYTE __asm MakeBASE(	register __a1 STRPTR,	/* buffer		*/
			register __d0 UBYTE,	/* number of chars	*/
			register __d1 ULONG,	/* value		*/
			register __d2 UBYTE,	/* base of result str	*/
			register __d3 UBYTE);	/* fill char for start	*/
/* MakeHEX and MakeBASE produce maximum the number given in d0 !!! Longer
numbers will be cutted !! */
ULONG __asm GetNEG(	register __d0 ULONG);	/* negates the value	*/
void __asm LongMemSet(	register __a1 STRPTR,	/* buffer		*/
			register __d0 ULONG,	/* value		*/
			register __d1 ULONG);	/* size in bytes	*/

#ifdef __cplusplus
}
#endif

#endif /* SDI_ASM_PROTOS_H */
